﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace SfCalendar_117522
{
    public class CellConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    return appointments[date].Title;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

    public class CellDescriptionConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    return appointments[date].Description;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

    public class DateConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is DateTime)
            {
                var date = (DateTime)value;
                return date.ToString("D").ToUpper();
            }
            else
                return DateTime.Now;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }

}
