﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfCalendar_117522
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        AppointmentSource source = (App.Current.Resources["Appointments"] as AppointmentSource);
        public MainPage()
        {
            this.InitializeComponent();
        }


        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void Add_Click(object sender, RoutedEventArgs e)
        {
            source.AddAppointment((DateTime)calendar.SelectedDate);
            RefreshTemplate();
        }

        private void Remove_Click(object sender, RoutedEventArgs e)
        {
            source.RemoveAppointment((DateTime)calendar.SelectedDate);
            RefreshTemplate();
        }

        private void RefreshTemplate()
        {
            calendar.CellTemplate = null;
            calendar.CellTemplate = App.Current.Resources["Celltemplate"] as DataTemplate;
        }

        private void calendar_Loaded(object sender, RoutedEventArgs e)
        {
            calendar.SelectedDate = DateTime.Today;
            calendar.CellTemplate = App.Current.Resources["Celltemplate"] as DataTemplate;
        }
    }

}
